FUTUROS REQUERIMIENTOS DEL SISTEMA PARA CINEMA 4D

En Noticiasby detlev

En Maxon, siempre nos hemos esforzado por maximizar el rendimiento aprovechando las últimas tecnologías de hardware. Reconocemos que mantener la compatibilidad con versiones anteriores es esencial para no interrumpir las canalizaciones de producción de nuestros clientes. Sin embargo, a menudo hay avances significativos en el rendimiento del hardware que hacen que mantener la compatibilidad con versiones anteriores sea un objetivo inalcanzable. En consecuencia, para continuar aprovechando al máximo los avances tecnológicos, las versiones futuras de Cinema 4D requerirán el conjunto de instrucciones AVX y la compatibilidad con los sistemas Metal en Mac.

Metal

Un nuevo Mac Pro finalmente está aquí, y como Lo anunciamos con Apple en WWDC Estamos trabajando arduamente para aprovechar la increíble potencia que ofrece. Estamos dedicados a asegurarnos de que Cinema 4D funcione bien no solo en la nueva Mac, sino en la mayor cantidad de sistemas Mac posible. Para lograr eso, hemos estado trabajando duro para portar la vista de Cinema 4D a Metal. Es un paso necesario, porque Apple ha anunciado que están despreciando OpenGL en macOS. Este paso también nos proporciona un marco mucho más poderoso para el desarrollo futuro.

El único inconveniente es que esto significa que algunas versiones anteriores de Mac y MacOS ya no serán compatibles. Para ejecutar futuras versiones de Cinema 4D en Mac, necesitará al menos macOS Catalina 10.15.x y un supported Mac system.

AVX

Introducido con el procesador Intel Sandy Bridge de 2011 y la familia de CPU Bulldozer de AMD, el conjunto de instrucciones AVX (Extensiones vectoriales avanzadas) proporcionó nuevas características, instrucciones y un nuevo esquema de codificación para los desarrolladores.A medida que Maxon continúa modernizando y mejorando Cinema 4D con el tiempo, la inclusión del conjunto AVX ahora se convertirá en un requisito para avanzar. La mayoría de los usuarios no se verán afectados ya que las CPU obsoletas tienen entre 8 y 9 años. Pero para aquellos que se verán afectados, queremos que comprendan de antemano que las versiones futuras de Cinema 4D no se ejecutarán en sus sistemas heredados.

Los CPUs Obsoletos son:

Cualquiera antes de Q1 2011 desde Intel Desktop CPUs
Cualquiera antes de Q1 2012 desde Intel Server CPUs
Cualquiera antes de Q4 2011 desde AMD CPUs (AVX introducido con la familia Bulldozer de CPUs)

Si tiene dudas sobre si su CPU utiliza AVX, puede usar CPU-Z para evaluar los conjuntos de instrucciones compatibles con su CPU.

Entendemos que esto puede ser un desafío, pero creemos que encontrar un equilibrio entre apoyar la tecnología más antigua y adoptar la tecnología moderna es un paso importante para mantener nuestro software listo para el futuro.